Loading...
Searching...
No Matches
Opm::MultisegmentWellGeneric< Scalar, IndexTraits > Class Template Reference

## Public Member Functions

const WellSegments & | segmentSet () const
int | segmentNumberToIndex (const int segment_number) const
int | numberOfSegments () const
| number of segments for this well

## Protected Member Functions

| MultisegmentWellGeneric (WellInterfaceGeneric< Scalar, IndexTraits > &baseif)
void | scaleSegmentRatesWithWellRates (const std::vector< std::vector< int > > &segment_inlets, const std::vector< std::vector< int > > &segment_perforations, WellState< Scalar, IndexTraits > &well_state) const
void | scaleSegmentPressuresWithBhp (WellState< Scalar, IndexTraits > &well_state) const
WellSegmentCompPressureDrop | compPressureDrop () const
bool | update_relaxation_factor (const std::vector< Scalar > &measure_history, Scalar &relaxation_factor, bool &regularize, DeferredLogger &deferred_logger) const
| Detect oscillation or stagnation based on the residual measure history.
bool | repeatedStagnation (const std::vector< Scalar > &measure_history, bool &regularize, DeferredLogger &deferred_logger) const
bool | accelerationalPressureLossConsidered () const
bool | frictionalPressureLossConsidered () const
Scalar | getSegmentDp (const int seg, const Scalar density, const std::vector< Scalar > &seg_dp) const

## Protected Attributes

const WellInterfaceGeneric< Scalar, IndexTraits > & | baseif_

The documentation for this class was generated from the following files:

- opm/simulators/wells/MultisegmentWellEquations.hpp
- opm/simulators/wells/MultisegmentWellGeneric.hpp
- opm/simulators/wells/MultisegmentWellGeneric.cpp